NX Open C++ Reference Guide
|
A builder used to create or edit a Weld::Fill feature. More...
Public Types | |
enum | BoundaryMethodType { BoundaryMethodTypeRectangle, BoundaryMethodTypeCurve } |
Defines whether the initial boundary of the fill pattern is defined by a two point rectangle or a curve. More... | |
enum | WidthAlongType { WidthAlongTypeXc, WidthAlongTypeYc } |
Defines the direction the fill strip's length is aligned. More... | |
Public Member Functions | |
NXOpen::Section * | Boundary () |
Returns the section defining the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeCurve option is specified for the boundary type. | |
NXOpen::Weld::WeldFillBuilder::BoundaryMethodType | BoundaryMethod () |
Returns the type of boundary to create the fill from. | |
bool | ChangeViewOrientation () |
Returns the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false) Created in NX7.5.0. | |
NXOpen::Weld::CharacteristicsBuilder * | Characteristics () |
Returns the characteristics information. | |
NXOpen::Point * | Corner1 () |
Returns the first corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. | |
NXOpen::Point * | Corner2 () |
Returns the second corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. | |
void | DeleteFillStrip (NXOpen::Weld::WeldFillStripBuilder *fillStrip) |
Delete a fill strip. | |
double | DistanceTolerance () |
Returns the distance tolerance used in processing to determine if two points are coincident. | |
double | ExtendDistance () |
Returns the distance to extend a strip. | |
double | ExtrudeHeight () |
Returns the height of the extrusions representing the fill. | |
NXOpen::Weld::WeldFillStripBuilderList * | FillStripList () |
Returns the fill strip list. | |
NXOpen::Section * | InnerBoundary () |
Returns the section containing edges of interior openings which indicate that these openings should be filled over. | |
NXOpen::Weld::WeldFillStripBuilder * | NewFillStrip (const NXOpen::Point3d ¢er, double length) |
Create a new fill strip. | |
NXOpen::CoordinateSystem * | Orientation () |
Returns the coordinate system that defines the alignment of the strips and rectangle. | |
NXOpen::ScCollector * | PlacementFace () |
Returns the collector containing the faces to build the fill on. | |
void | SetBoundaryMethod (NXOpen::Weld::WeldFillBuilder::BoundaryMethodType boundaryMethod) |
Sets the type of boundary to create the fill from. | |
void | SetChangeViewOrientation (bool changeViewOrientation) |
Sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false) Created in NX7.5.0. | |
void | SetCorner1 (NXOpen::Point *corner1) |
Sets the first corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. | |
void | SetCorner2 (NXOpen::Point *corner2) |
Sets the second corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance used in processing to determine if two points are coincident. | |
void | SetExtendDistance (double distance) |
Sets the distance to extend a strip. | |
void | SetExtrudeHeight (double extrudeHeight) |
Sets the height of the extrusions representing the fill. | |
void | SetOrientation (NXOpen::CoordinateSystem *csys) |
Sets the coordinate system that defines the alignment of the strips and rectangle. | |
void | SetSubdivideRegion (bool subdivideRegion) |
Sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false). | |
void | SetUseSeedFace (bool useSeedFace) |
Sets the indication if the selected faces should be used as seed faces. | |
void | SetWidth (double width) |
Sets the width of the rectangles. | |
void | SetWidthAlong (NXOpen::Weld::WeldFillBuilder::WidthAlongType widthAlong) |
Sets the width of the rectangles will be measured along this direction. | |
bool | SubdivideRegion () |
Returns the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false). | |
bool | UseSeedFace () |
Returns the indication if the selected faces should be used as seed faces. | |
double | Width () |
Returns the width of the rectangles. | |
NXOpen::Weld::WeldFillBuilder::WidthAlongType | WidthAlong () |
Returns the width of the rectangles will be measured along this direction. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
A builder used to create or edit a Weld::Fill feature.
To create a new instance of this class, use Weld::WeldManager::CreateFillBuilder
Default values.
Property | Value |
---|---|
BoundaryMethod |
Rectangle |
ChangeViewOrientation |
0 |
ExtendDistance |
-15.0 (millimeters part), -0.5 (inches part) |
ExtrudeHeight |
1 |
SubdivideRegion |
0 |
Width |
5 |
WidthAlong |
Xc |
Created in NX7.5.0.
NXOpen::Section* NXOpen::Weld::WeldFillBuilder::Boundary | ( | ) |
Returns the section defining the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeCurve option is specified for the boundary type.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldFillBuilder::BoundaryMethodType NXOpen::Weld::WeldFillBuilder::BoundaryMethod | ( | ) |
Returns the type of boundary to create the fill from.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Weld::WeldFillBuilder::ChangeViewOrientation | ( | ) |
Returns the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldFillBuilder::Characteristics | ( | ) |
Returns the characteristics information.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Weld::WeldFillBuilder::Corner1 | ( | ) |
Returns the first corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Weld::WeldFillBuilder::Corner2 | ( | ) |
Returns the second corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldFillBuilder::DeleteFillStrip | ( | NXOpen::Weld::WeldFillStripBuilder * | fillStrip | ) |
Delete a fill strip.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
fillStrip | Fill strip to delete. |
double NXOpen::Weld::WeldFillBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance used in processing to determine if two points are coincident.
Created in NX7.5.0.
License requirements : None
double NXOpen::Weld::WeldFillBuilder::ExtendDistance | ( | ) |
Returns the distance to extend a strip.
Created in NX7.5.0.
License requirements : None
double NXOpen::Weld::WeldFillBuilder::ExtrudeHeight | ( | ) |
Returns the height of the extrusions representing the fill.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldFillStripBuilderList* NXOpen::Weld::WeldFillBuilder::FillStripList | ( | ) |
Returns the fill strip list.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldFillBuilder::InnerBoundary | ( | ) |
Returns the section containing edges of interior openings which indicate that these openings should be filled over.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldFillStripBuilder* NXOpen::Weld::WeldFillBuilder::NewFillStrip | ( | const NXOpen::Point3d & | center, |
double | length | ||
) |
Create a new fill strip.
center | Center of the fill strip |
length | Length of the fill strip |
NXOpen::CoordinateSystem* NXOpen::Weld::WeldFillBuilder::Orientation | ( | ) |
Returns the coordinate system that defines the alignment of the strips and rectangle.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::WeldFillBuilder::PlacementFace | ( | ) |
Returns the collector containing the faces to build the fill on.
Note that during processing additional faces will be obtained by getting adjacent tangent faces (within 45 degrees) so that the boundary of the area is covered. At least one face inside of every boundary must be selected.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldFillBuilder::SetBoundaryMethod | ( | NXOpen::Weld::WeldFillBuilder::BoundaryMethodType | boundaryMethod | ) |
Sets the type of boundary to create the fill from.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
boundaryMethod | boundarymethod |
void NXOpen::Weld::WeldFillBuilder::SetChangeViewOrientation | ( | bool | changeViewOrientation | ) |
Sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
changeViewOrientation | changevieworientation |
void NXOpen::Weld::WeldFillBuilder::SetCorner1 | ( | NXOpen::Point * | corner1 | ) |
Sets the first corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
corner1 | corner1 |
void NXOpen::Weld::WeldFillBuilder::SetCorner2 | ( | NXOpen::Point * | corner2 | ) |
Sets the second corner of the boundary if the Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
corner2 | corner2 |
void NXOpen::Weld::WeldFillBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance used in processing to determine if two points are coincident.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
distanceTolerance | distancetolerance |
void NXOpen::Weld::WeldFillBuilder::SetExtendDistance | ( | double | distance | ) |
Sets the distance to extend a strip.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
distance | distance |
void NXOpen::Weld::WeldFillBuilder::SetExtrudeHeight | ( | double | extrudeHeight | ) |
Sets the height of the extrusions representing the fill.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
extrudeHeight | extrudeheight |
void NXOpen::Weld::WeldFillBuilder::SetOrientation | ( | NXOpen::CoordinateSystem * | csys | ) |
Sets the coordinate system that defines the alignment of the strips and rectangle.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
csys | csys |
void NXOpen::Weld::WeldFillBuilder::SetSubdivideRegion | ( | bool | subdivideRegion | ) |
Sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false).
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
subdivideRegion | subdivideregion |
void NXOpen::Weld::WeldFillBuilder::SetUseSeedFace | ( | bool | useSeedFace | ) |
Sets the indication if the selected faces should be used as seed faces.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
useSeedFace | useseedface |
void NXOpen::Weld::WeldFillBuilder::SetWidth | ( | double | width | ) |
Sets the width of the rectangles.
Only used if SubdivideRegion is true.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
width | width |
void NXOpen::Weld::WeldFillBuilder::SetWidthAlong | ( | NXOpen::Weld::WeldFillBuilder::WidthAlongType | widthAlong | ) |
Sets the width of the rectangles will be measured along this direction.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
widthAlong | widthalong |
bool NXOpen::Weld::WeldFillBuilder::SubdivideRegion | ( | ) |
Returns the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false).
Created in NX7.5.0.
License requirements : None
bool NXOpen::Weld::WeldFillBuilder::UseSeedFace | ( | ) |
Returns the indication if the selected faces should be used as seed faces.
Created in NX7.5.0.
License requirements : None
double NXOpen::Weld::WeldFillBuilder::Width | ( | ) |
Returns the width of the rectangles.
Only used if SubdivideRegion is true.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldFillBuilder::WidthAlongType NXOpen::Weld::WeldFillBuilder::WidthAlong | ( | ) |
Returns the width of the rectangles will be measured along this direction.
Created in NX7.5.0.
License requirements : None